Debian Bug report logs - #684633
jless: hangs with 1MB file, and should consider its future

version graph

Package: jless; Maintainer for jless is Tatsuki Sugiura <sugi@nemui.org>; Source for jless is src:jless.

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Sun, 12 Aug 2012 07:09:02 UTC

Severity: serious

Merged with 680632

Found in version jless/382-iso262-2.1

Fixed in version 382-iso262-3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#684633; Package jless. (Sun, 12 Aug 2012 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Sun, 12 Aug 2012 07:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Cc: yoh@flcl.org
Subject: jless: hangs with 1MB file, and should consider its future
Date: Sun, 12 Aug 2012 16:05:48 +0900
Package: jless
Version: 382-iso262-2.1
Severity: important

Hi,

 One user claims jless is buggy, it hangs with reading a bit large file (1MB
 or so). I confirmed it with chromium's copyright file.



 And I think it should be removed from next release.

 - It cannot be used under UTF-8 (default locale), needs ja_JP.EUC-JP locale.
   And we don't support EUC-JP locale.
 - Dead upstream
   (http://www.pobox.com/~jam/less/ redirects to auther's(?) blog.
    we can see it as http://web.archive.org/web/20070317201620/http://www25.big.jp/~jam/less/ )
 - It's fork of less, but its base version is too old
    * less  -> 444
    * jless -> 382
 - Now we have alternate pager "lv", its upstream is still alive

 We should drop jless from testing and consider to maintain (rebase newer less
 version, at least) it or not.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Merged 680632 684633 Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 15 Oct 2012 01:39:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Tatsuki Sugiura <sugi@nemui.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 09:12:12 GMT) Full text and rfc822 format available.

Merged 680632 684633 Request was from Tatsuki Sugiura <sugi@nemui.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 09:12:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 684633: 694124 Request was from Tatsuki Sugiura <sugi@nemui.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 06:27:03 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 30 Nov 2012 16:18:05 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Fri, 30 Nov 2012 16:18:05 GMT) Full text and rfc822 format available.

Message #18 received at 684633-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 684633-done@bugs.debian.org
Subject: Re: Bug#684633: jless: hangs with 1MB file, and should consider its future
Date: Fri, 30 Nov 2012 17:16:35 +0100
[Message part 1 (text/plain, inline)]
Version: 382-iso262-3

On Sun, 12 Aug 2012 16:05:48 +0900, Hideki Yamane wrote:

>  One user claims jless is buggy, it hangs with reading a bit large file (1MB
>  or so). I confirmed it with chromium's copyright file.

This bug is supposed to be fixed by the 382-iso262-3 upload; not sure
why the information from the changelog didn't make it to the BTS.

Cheers,
gregor, doing a manual versioned close now
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tom Waits: Closing Time
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 30 Nov 2012 16:18:06 GMT) Full text and rfc822 format available.

Notification sent to Kusanagi Kouichi <slash@ac.auone-net.jp>:
Bug acknowledged by developer. (Fri, 30 Nov 2012 16:18:06 GMT) Full text and rfc822 format available.

Information stored :
Bug#684633; Package jless. (Sat, 01 Dec 2012 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Sat, 01 Dec 2012 12:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 684633-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: gregor herrmann <gregoa@debian.org>
Cc: 684633-quiet@bugs.debian.org
Subject: Thanks! (Re: Bug#684633 closed by gregor herrmann <gregoa@debian.org> (Re: Bug#684633: jless: hangs with 1MB file, and should consider its future)
Date: Sat, 1 Dec 2012 21:12:08 +0900
On Fri, 30 Nov 2012 16:18:05 +0000
owner@bugs.debian.org (Debian Bug Tracking System) wrote:
> #684633: jless: hangs with 1MB file, and should consider its future

 Thanks for your caring about it, yes I wonder why it's not closed by 
 its changelog.

 Anyway I'll add it to BSP Tokyo report as result :)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jan 2013 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:36:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.